[![Build Status](https://travis-ci.org/emartech/emarsys-api-ruby.svg?branch=master)](https://travis-ci.org/emartech/emarsys-api-ruby)

# Emarsys::Api

This is a wrapper around the API of emarsys B2C marketing cloud.
Very-very limited right now, only the covers a few endpoints so far.

If you need to cover a new endpoint, please open a ticket or do and send
a pull request. Thanks!


## Installation

Add this line to your application's Gemfile:

```ruby
gem 'emarsys-api'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install emarsys-api

## Usage

setup up the following environment variables (needed by Escher):

KEY_POOL
SUITE_KEYID

## Development


By setting the environment variable EMARSYS_API_URL to http://suite.ett.local OR http://dockersuite.ett.local you can send request to local 
development emarsys (suite vagrant/docker, if you know what i mean :stuck_out_tongue_winking_eye:)


After checking out the repo, run `bin/setup` to install dependencies.
Then, run `rake` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/emartech/emarsys-api-ruby. This
project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

