
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'emarsys/api/version'

Gem::Specification.new do |spec|
  spec.name = 'emarsys-api'
  spec.version = Emarsys::Api::VERSION
  spec.authors = ['Istvan Demeter']
  spec.email = ['demeter.istvan@gmail.com']

  spec.summary = 'Ruby client to make it easier to use the API of emarsys B2C MC'
  spec.homepage = 'https://github.com/emartech/emarsys-api-ruby'
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'escher-keypool', '~> 0.0'
  spec.add_dependency 'faraday', '~> 0.11'
  spec.add_dependency 'faraday_middleware', '~> 0.11'
  spec.add_dependency 'faraday_middleware-escher', '~> 0.3'

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 12.0'
  spec.add_development_dependency 'rspec', '~> 3.5'
  spec.add_development_dependency 'rubocop', '~> 0.46'
  spec.add_development_dependency 'webmock', '~> 2.3'
end
